/*
 * Copyright (C) 2009  Thomas "Heinervdm" Zimmermann <zimmermannn@vdm-design.de>
 *
 * This file is part of fmWettbewerbGui
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/*
 * Playground.java
 *
 * Created on 06.04.2009, 17:02:00
 */
package de.heinervdm.fmwettbewerb.gui;

import java.awt.Color;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.BufferedReader;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;

/**
 *
 * @author thomas
 */
public class Playground extends javax.swing.JFrame {

    public Stone[][] fields;
    public Move move = new Move();

    /** Creates new form Playground */
    public Playground() {
        initComponents();

        fields = new Stone[10][10];

        for (int i = 9; i >= 0; i--) {
            for (int j = 0; j < 10; j++) {
                fields[i][j] = new Stone(" ", i, j);
                (fields[i][j]).addActionListener(new ActionListener() {

                    public void actionPerformed(ActionEvent e) {

                        Stone s = (Stone) e.getSource();

                        for (int k = 0; k < 10; k++) {
                            for (int l = 0; l < 10; l++) {
                                Stone stones = fields[k][l];
                                if (stones.isSelected() && !(k == s.getXPos() && l == s.getYPos())) {
                                    stones.setSelected(false);
                                    s.setSelected(false);
                                    try {
                                        FileWriter out = new FileWriter("result.dat");
                                        out.write(stones.getYPos() + " " + stones.getXPos() + " " + s.getYPos() + " " + s.getXPos());
                                        out.close();
                                    } catch (IOException ex) {
                                    }
                                    dispose();
                                    return;
                                }
                            }
                        }
                    }
                });
                playground.add(fields[i][j]);
            }
        }

        fillFields();
        pack();
    }

    private void fillFields() {
        BufferedReader in = null;

        try {
            in = new BufferedReader(new FileReader("gamefield.dat"));
            for (int i = 9; i >= 0; i--) {
                String line = in.readLine().replaceAll("\\s", "").trim();
                for (int j = 0; j < 10; j++) {
                    Color c = null;
                    if (line.substring(j, j + 1).charAt(0) == 'R') {
                        c = new Color(255, 0, 0);
                    } else if (line.substring(j, j + 1).charAt(0) == 'G') {
                        c = new Color(0, 255, 0);
                    } else if (line.substring(j, j + 1).charAt(0) == 'B') {
                        c = new Color(0, 0, 255);
                    } else if (line.substring(j, j + 1).charAt(0) == 'Y') {
                        c = new Color(255, 255, 0);
                    } else if (line.substring(j, j + 1).charAt(0) == 'L') {
                        c = new Color(255, 0, 255);
                    } else if (line.substring(j, j + 1).charAt(0) == '1') {
                        c = new Color(0, 0, 0);
                        (fields[i][j]).setText("1");
                    } else if (line.substring(j, j + 1).charAt(0) == '2') {
                        c = new Color(0, 0, 0);
                        (fields[i][j]).setText("2");
                    } else if (line.substring(j, j + 1).charAt(0) == '3') {
                        c = new Color(0, 0, 0);
                        (fields[i][j]).setText("3");
                    } else if (line.substring(j, j + 1).charAt(0) == '4') {
                        c = new Color(0, 0, 0);
                        (fields[i][j]).setText("4");
                    } else if (line.substring(j, j + 1).charAt(0) == '5') {
                        c = new Color(0, 0, 0);
                        (fields[i][j]).setText("5");
                    } else {
                        c = new Color(50, 50, 50);
                    }

                    (fields[i][j]).setBackground(c);
                }
            }

            in = new BufferedReader(new FileReader("player.dat"));
            playerLife.setText(in.readLine().trim());
            playerShield.setText(in.readLine().trim());
            playerRed.setText(in.readLine().trim());
            playerYellow.setText(in.readLine().trim());
            playerGreen.setText(in.readLine().trim());
            playerLila.setText(in.readLine().trim());
            in.close();

            in = new BufferedReader(new FileReader("opponent.dat"));
            oponentLife.setText((in.readLine().trim()));
            oponentShield.setText((in.readLine().trim()));
            oponentRed.setText((in.readLine().trim()));
            oponentYellow.setText((in.readLine().trim()));
            oponentGreen.setText((in.readLine().trim()));
            oponentLila.setText((in.readLine().trim()));
            in.close();

        } catch (IOException ex) {
        } finally {
            try {
                in.close();
            } catch (IOException ex) {
            }
        }
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {
        java.awt.GridBagConstraints gridBagConstraints;

        playground = new javax.swing.JPanel();
        jLabel2 = new javax.swing.JLabel();
        jLabel1 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();
        jLabel10 = new javax.swing.JLabel();
        jLabel11 = new javax.swing.JLabel();
        jLabel12 = new javax.swing.JLabel();
        jLabel13 = new javax.swing.JLabel();
        jLabel14 = new javax.swing.JLabel();
        jPanel1 = new javax.swing.JPanel();
        playerLife = new javax.swing.JLabel();
        playerShield = new javax.swing.JLabel();
        playerRed = new javax.swing.JLabel();
        playerYellow = new javax.swing.JLabel();
        playerGreen = new javax.swing.JLabel();
        playerLila = new javax.swing.JLabel();
        jPanel2 = new javax.swing.JPanel();
        oponentLife = new javax.swing.JLabel();
        oponentShield = new javax.swing.JLabel();
        oponentRed = new javax.swing.JLabel();
        oponentYellow = new javax.swing.JLabel();
        oponentGreen = new javax.swing.JLabel();
        oponentLila = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        playground.setLayout(new java.awt.GridLayout(10, 10));

        jLabel2.setText("Player");

        jLabel1.setText("Oponent");

        jLabel3.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        jLabel3.setText("Life:");

        jLabel4.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        jLabel4.setText("Shield:");

        jLabel5.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        jLabel5.setText("Red:");

        jLabel6.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        jLabel6.setText("Yellow:");

        jLabel7.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        jLabel7.setText("Green:");

        jLabel8.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        jLabel8.setText("Lila:");

        jLabel9.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        jLabel9.setText("Life:");

        jLabel10.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        jLabel10.setText("Shield:");

        jLabel11.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        jLabel11.setText("Red:");

        jLabel12.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        jLabel12.setText("Yellow:");

        jLabel13.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        jLabel13.setText("Green:");

        jLabel14.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        jLabel14.setText("Lila:");

        playerLife.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        playerLife.setText("30");

        playerShield.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        playerShield.setText("15");

        playerRed.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        playerRed.setText("0");

        playerYellow.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        playerYellow.setText("0");

        playerGreen.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        playerGreen.setText("0");

        playerLila.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        playerLila.setText("0");

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(playerLife)
                    .addComponent(playerShield)
                    .addComponent(playerRed)
                    .addComponent(playerYellow)
                    .addComponent(playerGreen)
                    .addComponent(playerLila))
                .addContainerGap(24, Short.MAX_VALUE))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addComponent(playerLife)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(playerShield)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(playerRed)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(playerYellow)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(playerGreen)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(playerLila))
        );

        oponentLife.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        oponentLife.setText("30");

        oponentShield.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        oponentShield.setText("15");

        oponentRed.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        oponentRed.setText("0");

        oponentYellow.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        oponentYellow.setText("0");

        oponentGreen.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        oponentGreen.setText("0");

        oponentLila.setFont(new java.awt.Font("Dialog", 0, 12)); // NOI18N
        oponentLila.setText("0");

        javax.swing.GroupLayout jPanel2Layout = new javax.swing.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(oponentLife)
                    .addComponent(oponentShield)
                    .addComponent(oponentRed)
                    .addComponent(oponentYellow)
                    .addComponent(oponentGreen)
                    .addComponent(oponentLila))
                .addContainerGap(24, Short.MAX_VALUE))
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addComponent(oponentLife)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(oponentShield)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(oponentRed)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(oponentYellow)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(oponentGreen)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(oponentLila))
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addComponent(playground, javax.swing.GroupLayout.DEFAULT_SIZE, 284, Short.MAX_VALUE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel2)
                    .addComponent(jLabel1)
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel8)
                            .addComponent(jLabel3)
                            .addComponent(jLabel4)
                            .addComponent(jLabel5)
                            .addComponent(jLabel6)
                            .addComponent(jLabel7))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel9)
                            .addComponent(jLabel10)
                            .addComponent(jLabel11)
                            .addComponent(jLabel12)
                            .addComponent(jLabel13)
                            .addComponent(jLabel14))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(6, 6, 6)
                .addComponent(jLabel2)
                .addGap(12, 12, 12)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(jLabel3)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel4)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel5)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel6)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel7)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel8))
                    .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jLabel1)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(jLabel9)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel10)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel11)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel12)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel13)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel14))
                    .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(41, 41, 41))
            .addComponent(playground, javax.swing.GroupLayout.DEFAULT_SIZE, 339, Short.MAX_VALUE)
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {

            public void run() {
                new Playground().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JLabel oponentGreen;
    private javax.swing.JLabel oponentLife;
    private javax.swing.JLabel oponentLila;
    private javax.swing.JLabel oponentRed;
    private javax.swing.JLabel oponentShield;
    private javax.swing.JLabel oponentYellow;
    private javax.swing.JLabel playerGreen;
    private javax.swing.JLabel playerLife;
    private javax.swing.JLabel playerLila;
    private javax.swing.JLabel playerRed;
    private javax.swing.JLabel playerShield;
    private javax.swing.JLabel playerYellow;
    public javax.swing.JPanel playground;
    // End of variables declaration//GEN-END:variables
}
